USE [P543_V2.2]
GO

/****** Object:  View [dbo].[v_igk]    Script Date: 09.04.2019 13:06:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO






CREATE VIEW [dbo].[v_igk]
AS
SELECT DISTINCT ob.CSHPZ, pl.ВиДоговора, pl.НомерКонтракта, pl.ДатаКонтракта, pl.ИГК, pl.Госзаказчик, pl.Контрагент, pl.ПлановаяДатаисполненияКонтракта, pl.Номервыделенногосчета, pl.Sum_IGK
FROM            dbo.FACT_OBOROT1C AS ob LEFT OUTER JOIN
                         dbo.Tab1_param_contr_1с AS pl ON pl.ВиДоговора = ob.CSHPZ

GO

/****** Object:  View [dbo].[vt4]    Script Date: 09.04.2019 13:06:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO





CREATE view [dbo].[vt4] as
SELECT [Код]
      ,[Наименование]
      ,[Субконто_x0020_1]
      ,[Субконто_x0020_2]
      ,[Субконто_x0020_3]
      ,t4.ИдентификацияИГК
      ,t4.ИдентификацияКонтрагент
	  ,t4.ИдентификацияНоменкл
	  ,t4.ИдентификацияПарт
	  ,t4.ИдентификацияСтЗатр
	  ,t4.ИдентификацияШПЗ
      , t4.[СчетСервиса]
  FROM [dbo].[Tab4_plan_1C] t4

GO

/****** Object:  View [dbo].[vt51]    Script Date: 09.04.2019 13:06:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO




CREATE VIEW [dbo].[vt51]
AS
SELECT        *
FROM            dbo.Tab5_oper_1c t5
WHERE t5.Счет_x0020_Дт like '19%' And  t5.Счет_x0020_Кт like '60%'

--  (Счет_x0020_Дт LIKE '19%') AND (Счет_x0020_Кт IN ('60.1', '60.01'))
GO

/****** Object:  View [dbo].[VT7]    Script Date: 09.04.2019 13:06:40 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO






CREATE VIEW [dbo].[VT7]
AS
SELECT        ISNULL(T7.РасчетныйСчетИд,T1.Номервыделенногосчета) РасчетныйСчетИд , T1.ВиДоговора AS ВиДоговора, T1.НомерКонтракта, T1.ДатаКонтракта, T1.ИГК, T1.Госзаказчик, T1.Контрагент, 
                         T1.ПлановаяДатаисполненияКонтракта, T1.Номервыделенногосчета
FROM            dbo.Tab1_param_contr_1с AS T1 LEFT OUTER JOIN
                         dbo.tab7_schet_1c AS T7 ON T7.РасчетныйСчет = T1.Номервыделенногосчета


GO


